%define name ethereal
%define version 0.9.9
%define release 1mdk
%define prefix %{_prefix}

Summary:	Network traffic analyzer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		Monitoring
Url: 		http://www.ethereal.com
Source: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}
Source2:	%{name}-16.png.bz2
Source3:	%{name}-32.png.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libpcap >= 0.4, ucd-snmp-devel, zlib-devel, glib-devel
Requires: 	gtk+ >= 1.2, libsnmp0

%description
Ethereal is a network traffic analyzer for Unix-ish operating systems.
It is based on GTK+, a graphical user interface library, and libpcap,
a packet capture and filtering library.

%prep

%setup -q
%build

%configure \
    --disable-usr-local \
    --disable-static --enable-gtk2 --enable-dftest --enable-randpkt

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

#make DESTDIR=$RPM_BUILD_ROOT install

%makeinstall_std transform=""

# menu
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README* doc/*
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/manuf
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/diameter/*
%attr(644,root,root) %{_mandir}/*/*
%{_libdir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png

%changelog
* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9

* Thu Jan 09 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7

* Tue Aug 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-2mdk
- adjust buildrequires

* Fri Aug 23 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.6-1mdk
- new version
- misc spec file fixes

* Tue Apr 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Tue Mar 05 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.20-3mdk
- xpm -> png icons
- don't overwrite config files

* Wed Oct 24 2001 Vincent Saugey <vince@mandrakesoft.com> 0.8.20-2mdk
- Replace require ucd-snmp by libsnmp0

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.20-1mdk
- 0.8.20

* Wed Sep 05 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.19-1mdk
- updated to 0.8.19.

* Thu Jul 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.18-1mdk
- updated to 0.8.18

* Thu Apr 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.17-1mdk
- updated to 0.8.17

* Wed Mar 07 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.8.16-1mdk
- updated to 0.8.16
- disable snmp 

* Tue Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.14-1mdk
- updated to 0.8.14

* Fri Oct 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.13-1mdk
- Up to 0.8.13
- Fix menu entry (not more ':' at end of icons name)

* Fri Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.11-2mdk
- added BuildRequires.
- added tethereal, editcap binaries.
- added doc dir to docs.

* Fri Aug 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.11-1mdk
- update to v0.8.11

* Wed Jul 12 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.8.10-1mdk
- v0.8.10
- menu entry
- changed group

* Tue Dec 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive
- specfile adaptations

